NVME-CREATE-NS(1)

NAME
nvme-create-ns - Send NVMe Namespace management command to create namespace, returns results.

SYNOPSIS

nvme create-ns <device> [--nsze=<nsze> | -s <nsze>]
                        [--ncap=<ncap> | -c <ncap>]
                        [--flbas=<flbas> | -f <flbas>]
                        [--dps=<dps> | -d <dps>]
                        [--nmic=<nmic> | -m <nmic>]
                        [--anagrp-id=<anagrpid> | -a <anagrpid>]
                        [--nvmset-id=<nvmsetid> | -i <nvmsetid>]
                        [--csi=<command_set_identifier> | -y <command_set_identifier>]
                        [--lbstm=<lbstm> | -l <lbstm>]
                        [--block-size=<block-size> | -b <block-size>]
                        [--timeout=<timeout> | -t <timeout>]
                        [--nsze-si=<nsze-si> | -S <nsze-si>]
                        [--ncap-si=<ncap-si> | -C <ncap-si>]

DESCRIPTION

For the NVMe device given, sends a namespace management command to create the namespace with the requested settings. On success, the namespace identifier assigned by the controller is returned.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

OPTIONS

-s, --nsze
    The namespace size.

-c, --ncap
    The namespace capacity.

-f, --flbas
    The namespace formatted logical block size setting. Conflicts with --block-size argument.

-d, --dps
    The data protection settings.

-m, --nmic
    Namespace multipath and sharing capabilities.

-a, --anagrp-id
    ANA Group Identifier. If this value is 0h specifies that the controller determines the value to use

-i <nvmsetid>, --nvmset-id=<nvmsetid>
    This field specifies the identifier of the NVM Set.

-y <command_set_identifier>, --csi=<command_set_identifier>
    This field specifies the identifier of command set. if not issued, NVM Command Set will be selected.

-l <lbstm>, --lbstm=<lbstm>
    Logical Block Storage Tag Mask for end-to-end protection.

-b, --block-size
    Target block size the new namespace should be formatted as. Potential FLBAS values will be values will be scanned and the lowest numbered will be selected for the create-ns operation. Conflicts with --flbas argument.

-S, --nsze-si
    The namespace size (NSZE) in standard SI units. The value SI suffixed is divided by the namespace LBA size to set as NSZE. If the value not suffixed it is set as same with the nsze option.

-C, --ncap-si
    The namespace capacity (NCAP) in standard SI units. The value SI suffixed is divided by the namespace LBA size to set as NCAP. If the value not suffixed it is set as same with the ncap option.

EXAMPLES

    • Create a namespace:

        # nvme create-ns /dev/nvme0 --nsze 11995709440 --ncap 1199570940 --flbas 0 --dps 0 --nmic 0
        # nvme create-ns /dev/nvme0 --nsze-si 6.14T --ncap 1199570940 --flbas 0 --dps 0 --nmic 0

NVME

Part of the nvme-user suite